## ros-kinetic-mavros-msgs 1.6.0

=== debian/changelog ===
ros-kinetic-mavros-msgs (1.6.0-1xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 15 Feb 2021 00:00:00 -0000

ros-kinetic-mavros-msgs (1.5.2-1xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 02 Feb 2021 00:00:00 -0000

ros-kinetic-mavros-msgs (1.5.1-1xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 04 Jan 2021 00:00:00 -0000

ros-kinetic-mavros-msgs (1.5.0-1xenial) xenial; urgency=high

  * mavros_msgs/VehicleInfo: Add flight_custom_version field
    Mirroring the field in the corresponding MAVLink message.
  * mavros_msgs/State: Fix PX4 flight mode constants
    Turns out ROS message string literals don't need quotes,
    so adding quotes creates strings including the quotes.
  * mavros_msgs/State: Add flight mode constants
  * mavros_msgs: Don't move temporary objects
  * Contributors: Morten Fyhn Amundsen

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 11 Nov 2020 00:00:00 -0000

ros-kinetic-mavros-msgs (1.4.0-1xenial) xenial; urgency=high

  * play_tune: Assign tune format directly
  * play_tune: Write new plugin
  * Contributors: Morten Fyhn Amundsen

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 11 Sep 2020 00:00:00 -0000

ros-kinetic-mavros-msgs (1.3.0-1xenial) xenial; urgency=high

  * Add esc_status plugin.
  * Add gps_status plugin to publish GPS_RAW and GPS_RTK messages from FCU.
    The timestamps for the gps_status topics take into account the mavlink time and uses the convienence function
  * adding support for publishing rtkbaseline msgs over ROS
  * Contributors: CSCE439, Dr.-Ing. Amilcar do Carmo Lucas, Ricardo Marques

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 08 Aug 2020 00:00:00 -0000

ros-kinetic-mavros-msgs (1.2.0-1xenial) xenial; urgency=high

  * add yaw to CMD_DO_SET_HOME
  * Contributors: David Jablonski

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 22 May 2020 00:00:00 -0000

ros-kinetic-mavros-msgs (1.1.0-1xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 04 Apr 2020 00:00:00 -0000

ros-kinetic-mavros-msgs (1.0.0-1xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 01 Jan 2020 00:00:00 -0000

ros-kinetic-mavros-msgs (0.33.4-1xenial) xenial; urgency=high

  * Splitted the message fields.
  * Updated esimator status msg according to the new cog based definition of estimator status.
  * Added comments to msg.
  * Added new line char at end of message.
  * Added a publisher for estimator status message received from mavlink in sys_status.
  * Contributors: saifullah3396

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 12 Dec 2019 00:00:00 -0000

ros-kinetic-mavros-msgs (0.33.3-1xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 13 Nov 2019 00:00:00 -0000

ros-kinetic-mavros-msgs (0.33.2-1xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 13 Nov 2019 00:00:00 -0000

ros-kinetic-mavros-msgs (0.33.1-1xenial) xenial; urgency=high

  * resolved merge conflict
  * Contributors: David Jablonski

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 11 Nov 2019 00:00:00 -0000

ros-kinetic-mavros-msgs (0.33.0-1xenial) xenial; urgency=high

  * Add vtol transition service
  * Apply comments
  * Add mount configure service message
  * cog: Update all generated code
  * added manual flag to mavros/state
  * use header.stamp to fill mavlink msg field time_usec
  * use cog for copy
  * adapt message and plugin after mavlink message merge
  * rename message and adjust fields
  * add component id to mavros message to distinguish ROS msgs from different systems
  * component_status message and plugin draft
  * Contributors: David Jablonski, Jaeyoung-Lim, Vladimir Ermakov, baumanta

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 10 Oct 2019 00:00:00 -0000

ros-kinetic-mavros-msgs (0.32.2-1xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 09 Sep 2019 00:00:00 -0000

ros-kinetic-mavros-msgs (0.32.1-1xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 08 Aug 2019 00:00:00 -0000

ros-kinetic-mavros-msgs (0.32.0-1xenial) xenial; urgency=high

  * add mav_cmd associated with each point in trajectory plugin
  * Use MountControl Msg
  * Define new MountControl.msg
  * Contributors: Jaeyoung-Lim, Martina Rivizzigno

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 06 Jul 2019 00:00:00 -0000

ros-kinetic-mavros-msgs (0.31.0-1xenial) xenial; urgency=high

  * mavros_msgs: LandingTarget: update msg description link
  * extras: landing target: improve usability and flexibility
  * Contributors: TSC21

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 07 Jun 2019 00:00:00 -0000

ros-kinetic-mavros-msgs (0.30.0-1xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 20 May 2019 00:00:00 -0000

ros-kinetic-mavros-msgs (0.29.2-1xenial) xenial; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 06 Mar 2019 00:00:00 -0000

ros-kinetic-mavros-msgs (0.29.1-1xenial) xenial; urgency=high

  * All: catkin lint files
  * mavros_msgs: Fix line endings for OpticalFlowRad message
  * Contributors: Pierre Kancir, sfalexrog

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 03 Mar 2019 00:00:00 -0000

ros-kinetic-mavros-msgs (0.29.0-1xenial) xenial; urgency=high

  * Fix broken documentation URLs
  * Merge branch 'master' into param-timeout
  * mavros_extras: Wheel odometry plugin updated according to the final mavlink WHEEL_DISTANCE message.
  * mavros_msgs: Float32ArrayStamped replaced by WheelOdomStamped.
  * mavros_msgs: Float32ArrayStamped message added.
    For streaming timestamped data from FCU sensors (RPM, WHEEL_DISTANCE, etc.)
  * msgs: Fix message id type, mavlink v2 uses 24 bit msg ids
  * mavros_msgs: add MessageInterval.srv to CMakeLists
  * sys_status: add set_message_interval service
  * Contributors: Dr.-Ing. Amilcar do Carmo Lucas, Pavlo Kolomiiets, Randy Mackay, Vladimir Ermakov


